package com.zswl.cloud.springBtach.server.core.domain;

import com.github.microservice.components.data.mongo.mongo.domain.SuperEntity;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.mongodb.core.index.Indexed;
import org.springframework.data.mongodb.core.mapping.Document;

import java.util.Date;

@Data
@Builder
@Document
@AllArgsConstructor
public class ApiLog extends SuperEntity {
    /**
     * 请求id
     */
    private String requestId;

    /**
     * 接口
     */
    @Indexed
    private String service;


    /**
     * 入参
     */
    private Object request;

    /**
     * 返参
     */
    private Object response;

    /**
     * 业务系统
     */
    private String system;

    @Indexed(expireAfterSeconds = 0)
    private Date ttl;


    public ApiLog() {
        ttl = new Date(System.currentTimeMillis()+1000L*60*60*24*7);
    }
}
